For the complete documentation index, see llms.txt. This page is also available as Markdown.

Relays

📫 Relays

Create a Relay Session

post

Create a relay session with users.

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
webhook_urlstringOptional

URL to send the session data to

Example: https://my-webhook.com/dump
Responses
200

Success

application/json
session_idstringRequired

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptional

The authorization token for the session

Example: 3500589645
statusstringRequired

The status of the session

Example: READY
readybooleanRequired

If the session is ready to be used

linkedbooleanRequired

If the session is linked to a relay

errorstringOptional

The error message if the session failed

Example: Session failed
webhook_urlstringOptional

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post
/v1/relays/sessions

Get a Relay Session

get

Retrieve the information for a relay session.

Authorizations
AuthorizationstringRequired
Path parameters
session_idstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
200

Success

application/json
session_idstringRequired

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptional

The authorization token for the session

Example: 3500589645
statusstringRequired

The status of the session

Example: READY
readybooleanRequired

If the session is ready to be used

linkedbooleanRequired

If the session is linked to a relay

errorstringOptional

The error message if the session failed

Example: Session failed
webhook_urlstringOptional

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
get
/v1/relays/sessions/{session_id}

List all Relay Sessions

get

List all the active relay sessions.

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
200

Success

application/json
total_countintegerRequiredExample: 100
get
/v1/relays/sessions

Authorize a user on a Relay Session

post

Authorize a user on a Relay Session

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
session_idstringRequired

Session Request ID (ex: 0724828881e2-S)

Example: 0724828881e2-S
user_ipstringRequired

User Ip to Authorize

Example: 1.1.1.1
Responses
200

Success

application/json
session_idstringRequired

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptional

The authorization token for the session

Example: 3500589645
statusstringRequired

The status of the session

Example: READY
readybooleanRequired

If the session is ready to be used

linkedbooleanRequired

If the session is linked to a relay

errorstringOptional

The error message if the session failed

Example: Session failed
session_useranyOptional
relayanyOptional
webhook_urlstringOptional

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post
/v1/relays/sessions:authorize-user

Remove a user on a Relay Session

post

Authorize a user on a Relay Session

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
session_idstringRequired

Session Request ID (ex: 0724828881e2-S)

Example: 0724828881e2-S
authorization_tokenintegerRequired

Relay Authorization Token

Example: 3500589645
Responses
200

Success

application/json
session_idstringRequired

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptional

The authorization token for the session

Example: 3500589645
statusstringRequired

The status of the session

Example: READY
readybooleanRequired

If the session is ready to be used

linkedbooleanRequired

If the session is linked to a relay

errorstringOptional

The error message if the session failed

Example: Session failed
webhook_urlstringOptional

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post
/v1/relays/sessions:revoke-user

Delete a Relay Session

delete

Delete a relay session.

Authorizations
AuthorizationstringRequired
Path parameters
session_idstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
delete
/v1/relays/sessions/{session_id}

No content

Last updated

Was this helpful?